GET /digitalResource/format/getbypuid?[getParameters]
Lecture d'un format dans la liste de formats.
| Nom de la propriété | Type | Description |
|---|---|---|
| puid | string | Identifiant unique PRONOM du format |
| Nom de l'en-tête | Type | Description |
|---|---|---|
| Accept | string | application/json |
| Content-Type | string | application/json |
| Nom du cookie | Type | Description |
|---|---|---|
| LAABS-AUTH | string | Jeton de connexion à l'application URL encodé Génération d'un jeton |
Requête
GET http://maarchrm/digitalResource/format/getbypuid?puid=fmt/11
Headers
Accept application/json
Content-Type application/json
Cookie LAABS-AUTH=phdF9WkJuTKkDuPXoqDZuOjLMAFGC6ZrzrSEEqC9YjJVrIcaAPjnXkDCKOVJjHWKpHsrbtndX0NvBjizRLl%2FlohNbcVmtwEYc00did2AliyDdDkzdKDaRg%3D%3D
En cas de succès, le service web retourne l'objet du format demandé (code HTTP 200).
{
"puid": "fmt/11",
"name": "Portable Network Graphics",
"version": "1.0",
"mimetypes": [
"image/png"
],
"extensions": [
"png"
],
"status": 2
}